package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.AssetWorkflow;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AssetWorkflowDao {

    List<AssetWorkflow> getAssetWorkflow(@Param("assetId") Long assetId, @Param("type") String type, @Param("assetVersion") String assetVersion);

    int insert(@Param("assetWorkflow") AssetWorkflow assetWorkflow);

    int deleteByWorkFlowId(@Param("workflowId") Long workflowId);
}
